Index: doc/latex/emix_8h__incl.eps
===================================================================
--- doc/latex/emix_8h__incl.eps (revision 106)
+++ doc/latex/emix_8h__incl.eps (revision 106)
@@ -0,0 +1,528 @@
+%!PS-Adobe-2.0
+%%Creator: Graphviz version 2.16 (Fri Feb  8 12:52:03 UTC 2008)
+%%For: (smidl) Vasek Smidl,,,
+%%Title: G
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 333 232
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 297 196 boxprim clip newpath
+1 1 set_scale 0 rotate 40 40 translate
+% Node1
+gsave
+0.000 0.000 0.749 nodecolor
+newpath 0 168 moveto
+0 187 lineto
+139 187 lineto
+139 168 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 168 moveto
+0 187 lineto
+139 187 lineto
+139 168 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+7.5 173.25 moveto 123 (work/mixpp/bdm/stat/emix.h) alignedtext
+grestore
+% Node2
+gsave
+[ /Rect [ 19 57 67 75 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libBM_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 19 56 moveto
+19 75 lineto
+68 75 lineto
+68 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 19 56 moveto
+19 75 lineto
+68 75 lineto
+68 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+26.5 61.25 moveto 33 (libBM.h) alignedtext
+grestore
+% Node1->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 67 168 moveto
+63 149 53 109 47 85 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 50.3933 84.1194 moveto
+45 75 lineto
+43.5292 85.4922 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 50.3933 84.1194 moveto
+45 75 lineto
+43.5292 85.4922 lineto
+closepath stroke
+grestore
+% Node4
+gsave
+[ /Rect [ 72 113 118 131 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libEF_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 72 112 moveto
+72 131 lineto
+118 131 lineto
+118 112 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 72 112 moveto
+72 131 lineto
+118 131 lineto
+118 112 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+80 117.25 moveto 30 (libEF.h) alignedtext
+grestore
+% Node1->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 74 168 moveto
+78 161 82 150 87 140 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 90.1369 141.56 moveto
+91 131 lineto
+83.7402 138.717 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 90.1369 141.56 moveto
+91 131 lineto
+83.7402 138.717 lineto
+closepath stroke
+grestore
+% Node3
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 95 0 moveto
+95 19 lineto
+164 19 lineto
+164 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 95 0 moveto
+95 19 lineto
+164 19 lineto
+164 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+102.375 5.25 moveto 53.25 (itpp/itbase.h) alignedtext
+grestore
+% Node2->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 58 56 moveto
+71 48 91 35 106 25 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 108.621 27.4592 moveto
+115 19 lineto
+104.738 21.6349 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 108.621 27.4592 moveto
+115 19 lineto
+104.738 21.6349 lineto
+closepath stroke
+grestore
+% Node4->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 86 112 moveto
+78 104 68 92 59 83 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 61.2191 80.221 moveto
+52 75 lineto
+55.9511 84.8306 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 61.2191 80.221 moveto
+52 75 lineto
+55.9511 84.8306 lineto
+closepath stroke
+grestore
+% Node4->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 98 112 moveto
+102 99 109 75 114 56 curveto
+117 47 120 37 123 29 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 126.479 29.584 moveto
+126 19 lineto
+119.774 27.5725 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 126.479 29.584 moveto
+126 19 lineto
+119.774 27.5725 lineto
+closepath stroke
+grestore
+% Node5
+gsave
+[ /Rect [ 123 57 203 75 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libDC_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 123 56 moveto
+123 75 lineto
+204 75 lineto
+204 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 123 56 moveto
+123 75 lineto
+204 75 lineto
+204 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+130.375 61.25 moveto 65.25 (../math/libDC.h) alignedtext
+grestore
+% Node4->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 107 112 moveto
+117 104 132 91 144 82 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 146.779 84.2191 moveto
+152 75 lineto
+142.169 78.9511 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 146.779 84.2191 moveto
+152 75 lineto
+142.169 78.9511 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+[ /Rect [ 221 57 289 75 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 221 56 moveto
+221 75 lineto
+289 75 lineto
+289 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 221 56 moveto
+221 75 lineto
+289 75 lineto
+289 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+229.125 61.25 moveto 51.75 (../itpp_ext.h) alignedtext
+grestore
+% Node4->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 118 114 moveto
+145 104 188 89 219 78 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 220.427 81.2259 moveto
+229 75 lineto
+218.416 74.5212 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 220.427 81.2259 moveto
+229 75 lineto
+218.416 74.5212 lineto
+closepath stroke
+grestore
+% Node5->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 157 56 moveto
+153 49 146 37 140 28 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 142.916 26.0418 moveto
+135 19 lineto
+136.797 29.4414 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 142.916 26.0418 moveto
+135 19 lineto
+136.797 29.4414 lineto
+closepath stroke
+grestore
+% Node6->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 232 56 moveto
+212 47 181 33 158 23 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 159.56 19.8631 moveto
+149 19 lineto
+156.717 26.2598 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 159.56 19.8631 moveto
+149 19 lineto
+156.717 26.2598 lineto
+closepath stroke
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 333 232
+end
+restore
+%%EOF
